Ubuntu: php 5.3 install in ubuntu 16.4 LTS



Question:

It's really hard work to install php5.3 in ubuntu 16.04 LTS. I tried many times but fail every time. To do this , first I installed apache2 and installed some library file.Then I downloaded tar file of php-5.3.3 then untar it. Then ./configure it . but when I use make command then fail to compile it. The error was:

home/shohan/Downloads/sources/php-5.3.3/ext/dom/node.c:1903:21: error: dereferencing pointer to incomplete type ‘xmlBuf {aka struct _xmlBuf}’      ret = buf->buffer->use;                       ^  Makefile:545: recipe for target 'ext/dom/node.lo' failed  make: *** [ext/dom/node.lo] Error 1  

Please help me to install php5.3 in ubuntu 16.04 LTS if possible write in details or provide a video tutorial

Regards

A new linux learner.


Note:If u also have question or solution just comment us below or mail us on toontricks1994@gmail.com
Previous
Next Post »